For the complete documentation index, see llms.txt. This page is also available as Markdown.

Jobserver Configuration

Get Jobserver's Monitoring JVM configuration. Requires super role.

get
Path parameters
managedServiceIdstring · uuidRequired
Responses
200

successful operation

No content

get/spark/configuration/contextJvm/{managedServiceId}
200

successful operation

No content

Overwrite Jobserver's Monitoring JVM configuration. Requires super role.

post
Path parameters
managedServiceIdstring · uuidRequired
Body
jvmParametersstring[]Optional
Responses
200

successful operation

No content

post/spark/configuration/contextJvm/{managedServiceId}
200

successful operation

No content

Update Jobserver's Monitoring JVM configuration with JSON. Requires super role.

post
Path parameters
managedServiceIdstring · uuidRequired
Body
stringOptional
Responses
200

successful operation

No content

post/spark/configuration/contextJvm/{managedServiceId}/json
200

successful operation

No content

Restore Jobserver's Monitoring JVM configuration to default. Requires super role.

post
Path parameters
managedServiceIdstring · uuidRequired
Responses
200

successful operation

No content

post/spark/configuration/contextJvm/{managedServiceId}/restoreDefaults
200

successful operation

No content

Get Jobserver's JVM configuration. Requires super role.

get
Path parameters
managedServiceIdstring · uuidRequired
Responses
200

successful operation

No content

get/spark/configuration/jvm/{managedServiceId}
200

successful operation

No content

Overwrite Jobserver's JVM configuration. Requires super role.

post
Path parameters
managedServiceIdstring · uuidRequired
Body
jvmParametersstring[]Optional
Responses
200

successful operation

No content

post/spark/configuration/jvm/{managedServiceId}
200

successful operation

No content

Update Jobserver's JVM configuration with JSON. Requires super role.

post
Path parameters
managedServiceIdstring · uuidRequired
Body
stringOptional
Responses
200

successful operation

No content

post/spark/configuration/jvm/{managedServiceId}/json
200

successful operation

No content

Restore Jobserver's JVM configuration to default. Requires super role.

post
Path parameters
managedServiceIdstring · uuidRequired
Responses
200

successful operation

No content

post/spark/configuration/jvm/{managedServiceId}/restoreDefaults
200

successful operation

No content

Get Jobserver's Server configuration definition.

get
Responses
200

successful operation

No content

get/spark/configuration/server/definition
200

successful operation

No content

Get Jobserver's Server configuration.

get
Path parameters
managedServiceIdstring · uuidRequired
Responses
200

successful operation

No content

get/spark/configuration/server/{managedServiceId}
200

successful operation

No content

Overwrite Jobserver's JVM configuration. Requires super role.

post
Path parameters
managedServiceIdstring · uuidRequired
Body
jobserverMemorystringRequired
jobserverMonitoringPortinteger · int32 · max: 65535Required
portinteger · int32 · max: 65535Required
sparkMemorystringRequired
sparkMonitoringPortinteger · int32 · max: 65535Required
Responses
200

successful operation

No content

post/spark/configuration/server/{managedServiceId}
200

successful operation

No content

Update Jobserver's JVM configuration with JSON. Requires super role.

post
Path parameters
managedServiceIdstring · uuidRequired
Body
stringOptional
Responses
200

successful operation

No content

post/spark/configuration/server/{managedServiceId}/json
200

successful operation

No content

Get Jobserver's Server configuration.

post
Path parameters
managedServiceIdstring · uuidRequired
Responses
200

successful operation

No content

post/spark/configuration/server/{managedServiceId}/restoreDefaults
200

successful operation

No content

Last updated

Was this helpful?